# Method: internalappsharingartifacts.uploadapk

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/internalappsharingartifacts/uploadapk#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/internalappsharingartifacts/uploadapk#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/internalappsharingartifacts/uploadapk#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/internalappsharingartifacts/uploadapk#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/internalappsharingartifacts/uploadapk#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/internalappsharingartifacts/uploadapk#try-it)

Uploads an APK to internal app sharing. If you are using the Google API client libraries, please increase the timeout of the http request before calling this endpoint (a timeout of 2 minutes is recommended).

See [Timeouts and Errors](https://developers.google.com/api-client-library/java/google-api-java-client/errors) for an example in java.

### HTTP request

- Upload URI, for media upload requests:  
  `POST https://androidpublisher.googleapis.com/upload/androidpublisher/v3/applications/internalappsharing/{packageName}/artifacts/apk`
- Metadata URI, for metadata-only requests:  
  `POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/internalappsharing/{packageName}/artifacts/apk`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |

### Request body

The request body contains an instance of `Media`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/internalappsharingartifacts#InternalAppSharingArtifact`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`